/*  $Id: TestOSXMLCmdRunner.java 1031 2010-06-15 10:28:23Z sdevaux $
 *
 * Tabs = 4 chars
 * copyright (C) 2010 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */

import org.junit.*;
import static org.junit.Assert.*;

import net.eduvax.util.App;
import net.eduvax.xml.OSXMLCmdRunner;
import net.eduvax.xml.SaxParser;
import net.eduvax.xml.XML;
import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;

public class TestOSXMLCmdRunner {
    @Before public void setUp() {
        App.init();
        XML.init();
    }
    @After public void tearDown() {
    }

    @Test public void testCMD() {
try {
		String[] cmdline={"cat","src/package.xml"};
        SaxHandler handler=new SaxHandler();
		OSXMLCmdRunner cmd=new OSXMLCmdRunner(cmdline,handler);
		cmd.run();
        assertTrue(handler._passed);
}
catch (Exception ex) {
ex.printStackTrace();
}
    }

	private class SaxHandler extends DefaultHandler {
        public boolean _passed=false;
		public void startElement(String uri, String name,
								String qName, Attributes atts) {
			System.out.println("Start element "+name);
            _passed=true;
		}
	}							
}        
